GET /api/v3/meter/{meterId}/calculatedBill

Get a list of calculated bill versions on a meter

GetCalculatedBillsV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId ID of the meter to get all assigned calculated bill versions integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

DistributionVersionResponse
Property Description Type
account AccountChildWithType
AccountChildWithType properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
active boolean
hasCalculatedMeter boolean
hasSplitChildMeter boolean
hasSplitParentMeter boolean
hasSubAccount boolean
isSubAccount boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
beginPeriod Begin period for the version integer (int32)
chargebackType The chargeback type. Either “Split” or “Calculation” string
endPeriod End period for the version null value means continuing indefinitely integer (int32)
hasBills Do any bills exist that were created by this version? A version cannot be deleted if there are any existing bills that were created using this version boolean
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
versionId Identifier for the version integer (int32)
versionInfo Name given to a version string
workflow ChargebackWorkflowStepChild
ChargebackWorkflowStepChild properties
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "accountType": {},      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "beginPeriod": 1,    "chargebackType": "string",    "endPeriod": 1,    "hasBills": false,    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "versionId": 1,    "versionInfo": "string",    "workflow": {      "chargebackWorkflow": {},      "chargebackWorkflowStepDescription": "string",      "chargebackWorkflowStepId": 1,      "chargebackWorkflowStepInfo": "string",      "chargebackWorkflowStepOrder": 1,      "chargebackWorkflowStepType": "string"
    }
  }
]